3 Replies Latest reply on Mar 13, 2014 5:22 AM by jaikiran pai

    Best practice - Migrating from Weblogic 5.1 to Jboss AS X.x

    Shiva hari kumar B Newbie

      We have almost a decade old application that runs with JDK 1.3 uses J2EE1.2 spec on Weblogic 5.1. Now we wish you upgrade this to take part in real game, our Architects prefers Jboss AS over Weblogic and so we are going to migrate.


      The two things which are confusing me is that,

      1. We need to upgrade JDK 1.3 to JDK 1.5/1.6
      2. Also we need to upgrade Weblogic 5.1 to JBoss AS of newer version.


      Of these two which should be the first thing I should perform? Also I don't have any idea on minimum requirement of Java/JVM for every Jboss AS (I did extensive google search but leads to excessive hair loss). Will it be best to migrate the server first to any Jboss AS that supports JDK 1.3 and higher version? Since Weblogic 5.1 is not going to support any higher version of Java that 1.3.


      Its best that an expert on both JBoss and Weblogic advise me on this, but I'll be happy and appreciate every input even if it say I have to figure this on my own.


      In Wikipedia I found this link for weblogic which represents standard version supports of Weblogic, is there something like this for JBoss AS?